<div class="container-fluid">
	<p class="title">
		Assessment Maintenance > <i>Add a new Requirement</i>
	</p>
	<div class="row col-sm-12 mb-4">
		<span class="heading mr-2">Requirement
			Category:</span> <select
			class="custom-select col-sm-5 col-md-5 col-xs-5"
			name="reqCategory" [(ngModel)]="selectedRequirementCategory"
			(ngModelChange)="onSelectReqCategory(selectedRequirementCategory)">
			<option *ngFor="let requirementCategory of requirementCategories"
				[ngValue]="requirementCategory">{{
				requirementCategory.categoryName}}</option>
		</select>
	</div>
	<div class="upper-div d-flex justify-content-between mb-2">
		<span jhiTranslate="pcidssApp.pcidssRequirement.home.title"
			class="title">List of Requirements</span>
		<div class="col-md-3 col-sm-3 col-xs-3 filter-div">
			<span class="heading mr-2" for="search">Filter: </span> <input
				class="form-control" #search (keyup)="0">
		</div>
		<div class="">
			<button class="btn btn-primary float-right create-btn"
				[routerLink]="['/saq/admin/pcidss-requirement-new']">
				<span class="fa fa-plus"></span> <span
					jhiTranslate="pcidssApp.pcidssRequirement.create.createLabel">
					Add a new Requirement </span>
			</button>
		</div>
	</div>

	<div class="table-responsive" *ngIf="pcidssRequirements">
        <table class="table table-striped table-bordered">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            	<th jhiSortBy="requirementNumber"><label jhiTranslate="pcidssApp.pcidssRequirement.list.number">Requirement#</label>&nbsp;<span class="fa fa-sort"></span></th>
            	<th jhiSortBy="requirement"><label jhiTranslate="pcidssApp.pcidssRequirement.list.description">Description</label>&nbsp;<span class="fa fa-sort"></span></th>
            	<th jhiSortBy="requirementCategoryId.id"><label jhiTranslate="pcidssApp.pcidssRequirement.requirementCategory">Requirement Category</label>&nbsp;<span class="fa fa-sort"></span></th>
            	<th class="action"><label>Action</label></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let pcidssRequirement of (pcidssRequirements | filterRequirement: search.value) ;trackBy: trackId">
                <td style="width:12%">{{pcidssRequirement.requirementNumber}}</td>
                <td style="width:45%">{{pcidssRequirement.requirement}}</td>
                <td>
                    <div *ngIf="pcidssRequirement.requirementCategoryId">
                        <a [routerLink]="['/admin/requirement-category', pcidssRequirement.requirementCategoryId?.id ]" >{{pcidssRequirement.requirementCategoryId?.id}}</a>
                    </div>
                </td>
                
                <td class="text-right">
                    <div>
                        <button type="submit"
                                [routerLink]="['/saq/admin/pcidss-requirement', pcidssRequirement.id ]"
                                class="btn btn-sm action-btn view">
                            <span class="fa fa-eye"></span>
                        </button>
                        <button type="submit"
                        		[routerLink]="['/saq/admin/pcidss-requirement', pcidssRequirement.id, 'edit']"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm action-btn edit">
                            <span class="fa fa-pencil"></span>
                        </button>
                        <button type="submit" [disabled] ="pcidssRequirement.isQuestionExist"
                                (click)="deleteRequirement(pcidssRequirement)"
                                class="btn btn-danger btn-sm action-btn">
                            <span class="fa fa-trash"></span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="pcidssRequirements && pcidssRequirements.length" class="float-right">
            <div class="row">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
